<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\View;

use KupShop\KupShopBundle\Views\View;

class BaseEntrypointComponentsView extends View implements ComponentsViewInterface
{
    use ComponentsViewTrait;
    protected string $entrypoint = 'base';
    protected $template = 'baseEntrypointComponents.html.twig';

    public function getTemplates(): iterable
    {
        yield $this->getTemplate();

        // List all shop templates in modals
        foreach (new \FilesystemIterator(__DIR__.'/../../../../web/common/twig/templates/js-menu') as $file) {
            yield 'js-menu/'.$file->getFilename();
        }
    }
}
